Return partner info¶
GET/
Business Automation API · Partners
Return partner information.
Parameters¶
| Name | In | Type | Required | Description |
|---|---|---|---|---|
X-Distributor-ID | header | string | Yes | Distributor ID. |
billingSubRegion | query | string | Yes | Billing sub-region. |
name | query | string | No | Partner name. |
updatedDate | query | string (date) | No | Date that the partner level was last updated. |
ediNumber | query | string | No | Partner EDI account number. |
page | query | integer | No | Page to fetch starting with 1.Must be ≥ 1. |
pageSize | query | integer | No | Page size to use. Must be ≥ 1 and ≤ 500. |
Request samples¶
curl -X GET "https://api.central.sophos.com/business-automation/v1/partners/level?billingSubRegion=<billingSubRegion>" -H "Authorization: Bearer <access-token>" -H "X-Distributor-ID: <X-Distributor-ID>"
import requests
response = requests.get(
"https://api.central.sophos.com/business-automation/v1/partners/level?billingSubRegion=<billingSubRegion>",
headers={
"Authorization": "Bearer <access-token>",
"X-Distributor-ID": "<X-Distributor-ID>",
},
)
print(response.json())
$headers = @{
"Authorization" = "Bearer <access-token>"
"X-Distributor-ID" = "<X-Distributor-ID>"
}
Invoke-RestMethod -Method GET -Uri "https://api.central.sophos.com/business-automation/v1/partners/level?billingSubRegion=<billingSubRegion>" -Headers $headers
package main
import (
"fmt"
"io"
"net/http"
)
func main() {
req, err := http.NewRequest("GET", "https://api.central.sophos.com/business-automation/v1/partners/level?billingSubRegion=<billingSubRegion>", nil)
if err != nil {
panic(err)
}
req.Header.Set("Authorization", "Bearer <access-token>")
req.Header.Set("X-Distributor-ID", "<X-Distributor-ID>")
resp, err := http.DefaultClient.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
body, _ := io.ReadAll(resp.Body)
fmt.Println(string(body))
}
const response = await fetch("https://api.central.sophos.com/business-automation/v1/partners/level?billingSubRegion=<billingSubRegion>", {
method: "GET",
headers: {
"Authorization": "Bearer <access-token>",
"X-Distributor-ID": "<X-Distributor-ID>",
},
});
const data = await response.json();
console.log(data);
Responses¶
200 — Details of the requested partner level data.¶
Response fields
itemsarray of objectPartner information summary.
Show child attributesHide child attributes
accountNamestringAccount name.
ediAccountNumberstringEDI account number.
levelstringCurrent partner level.
updatedDatestring (date)Date when the partner level was last updated.
createdDatestring (date)Date when the record was created.
mspSubTypestringLevel of MSP.
billingCitystringCity that the partner resides in.
billingSubRegionstringRegion that the partner resides in.
territorystringAccount territory.
managedBystringAccount owner name, or "unmanaged" if the account owner is included in the configured unmanaged owners list.
pagesobjectPage information.
Show child attributesHide child attributes
currentintegerrequired(Optional) The 1-based page number being returned.
totalinteger(Optional) The total number of pages.
itemsinteger(Optional) The total number of items across all pages.
sizeintegerrequiredThe size of the page being returned.
maxSizeintegerrequiredThe maximum page size that can be requested.
Errors¶
| Status | Meaning |
|---|---|
400 | Bad request. |
500 | Unexpected error. |
All error responses share the same shape — see the error response object.
Response examples¶
200¶
{
"items": [
{
"accountName": "Account Test",
"ediAccountNumber": "9122312443",
"level": "gold",
"updatedDate": "2024-02-13",
"createdDate": "2024-02-13",
"mspSubType": "MSP",
"billingCity": "Lindale",
"billingSubRegion": "USA",
"territory": "North America Partners",
"managedBy": "NA West MSP"
}
],
"pages": {
"current": 1,
"total": 3,
"items": 137,
"size": 50,
"maxSize": 500
}
}
See the guide for a narrative walkthrough of this API.